/* 
 * RealTimeBattle Client
 * Copyright (C) 2003-2005 Volker Stroebel <volker@planetpenguin.de>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _VECTOR2D_H_
#define _VECTOR2D_H_

#include <iostream>
using namespace std;

class Vector2D {
  public:
    Vector2D();
    Vector2D(double x, double y);

    ~Vector2D();

    double x, y;

     Vector2D & operator/=(const double denom);
     Vector2D & normalize();
     Vector2D & rotate(const double angle);

    friend istream & operator>>(istream &, Vector2D &);

    double length();



  protected:

};


#endif				//_VECTOR2D_H_
